Bug 1124855 - [abrt] openvpn: resolve_remote(): openvpn killed by SIGSEGV
Summary: [abrt] openvpn: resolve_remote(): openvpn killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b091042d10d0167cc79da7d5d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 13:16 UTC by Miroslav Polakovič
Modified: 2015-06-29 21:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:24 UTC


Attachments (Terms of Use)
File: backtrace (37.35 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: cgroup (173 bytes, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: core_backtrace (1.59 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: dso_list (2.10 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: environ (90 bytes, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: maps (10.55 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: open_fds (391 bytes, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details
File: var_log_messages (19.72 KB, text/plain)
2014-07-30 13:16 UTC, Miroslav Polakovič
no flags Details

Description Miroslav Polakovič 2014-07-30 13:16:37 UTC
Version-Release number of selected component:
openvpn-2.3.2-4.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/sbin/openvpn --remote cathiegate.dyndns.org --nobind --dev tun --proto udp --port 1149 --cipher AES-256-CBC --auth-nocache --syslog nm-openvpn --tun-mtu 1400 --script-security 2 --up /usr/libexec/nm-openvpn-service-openvpn-helper --up-restart --persist-key --persist-tun --management 127.0.0.1 1194 --management-query-passwords --route-noexec --ifconfig-noexec --client --pkcs12 '/home/mio/Dokumenty/VPN keys/VPNpravospol2-TO-IPFire/VPNpravospol2.p12'
crash_function: resolve_remote
executable:     /usr/sbin/openvpn
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 resolve_remote at socket.c:1269
 #1 link_socket_init_phase2 at socket.c:1568
 #2 do_init_socket_2 at init.c:2661
 #3 init_instance at init.c:3441
 #4 init_instance_handle_signals at init.c:3233
 #5 tunnel_point_to_point at openvpn.c:70
 #6 openvpn_main at openvpn.c:249
 #8 _start

Comment 1 Miroslav Polakovič 2014-07-30 13:16:41 UTC
Created attachment 922570 [details]
File: backtrace

Comment 2 Miroslav Polakovič 2014-07-30 13:16:42 UTC
Created attachment 922571 [details]
File: cgroup

Comment 3 Miroslav Polakovič 2014-07-30 13:16:43 UTC
Created attachment 922572 [details]
File: core_backtrace

Comment 4 Miroslav Polakovič 2014-07-30 13:16:45 UTC
Created attachment 922573 [details]
File: dso_list

Comment 5 Miroslav Polakovič 2014-07-30 13:16:46 UTC
Created attachment 922574 [details]
File: environ

Comment 6 Miroslav Polakovič 2014-07-30 13:16:48 UTC
Created attachment 922575 [details]
File: exploitable

Comment 7 Miroslav Polakovič 2014-07-30 13:16:49 UTC
Created attachment 922576 [details]
File: limits

Comment 8 Miroslav Polakovič 2014-07-30 13:16:51 UTC
Created attachment 922577 [details]
File: maps

Comment 9 Miroslav Polakovič 2014-07-30 13:16:52 UTC
Created attachment 922578 [details]
File: open_fds

Comment 10 Miroslav Polakovič 2014-07-30 13:16:54 UTC
Created attachment 922579 [details]
File: proc_pid_status

Comment 11 Miroslav Polakovič 2014-07-30 13:16:56 UTC
Created attachment 922580 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-11-10 15:37:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-11-10 15:51:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-05-29 12:31:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:51:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.